| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# TimePoint.h File Reference

`#include "GaudiKernel/ITime.h"`
`#include "GaudiKernel/StreamBuffer.h"`
`#include <time.h>`

Include dependency graph for TimePoint.h:

Go to the source code of this file.

## Classes
class | TimePoint
| A very crude and rought implementation of ITime interface. More...
## Functions
static const TimePoint | time_absolutepast ((longlong) LONGLONG_MIN)
static const TimePoint | time_absolutefuture ((longlong) LONGLONG_MAX)
MsgStream & | operator<< (MsgStream &os, const TimePoint &t)
StreamBuffer & | operator<< (StreamBuffer &s, const TimePoint &t)
StreamBuffer & | operator>> (StreamBuffer &s, TimePoint &t)

## Function Documentation

StreamBuffer& operator<< | ( | StreamBuffer & | s,
|  | const TimePoint & | t |
| ) |  |  | `[inline]`

Definition at line 102 of file TimePoint.h.

References TimePoint::absoluteTime(), and Gaudi::Units::s.

    00102                                                                       {
    00103   return s << t.absoluteTime();
    00104 }

MsgStream& operator<< | ( | MsgStream & | os,
|  | const TimePoint & | t |
| ) |  |  | `[inline]`

Definition at line 96 of file TimePoint.h.

References MsgStream::isActive(), TimePoint::printOut(), and MsgStream::stream().

    00096                                                                  {
    00097   if ( os.isActive() ) t.printOut(os.stream());
    00098   return os;
    00099 }

StreamBuffer& operator>> | ( | StreamBuffer & | s,
|  | TimePoint & | t |
| ) |  |  | `[inline]`

Definition at line 106 of file TimePoint.h.

References TimePoint::m_time, and Gaudi::Units::s.

    00106                                                                 {
    00107   return s >> t.m_time;
    00108 }

static const TimePoint time_absolutefuture | ( | (longlong) | LONGLONG_MAX | ) | `[static]`

Referenced by TimePoint::operator+=(), and TimePoint::operator-=().

static const TimePoint time_absolutepast | ( | (longlong) | LONGLONG_MIN | ) | `[static]`

Referenced by TimePoint::operator+=(), and TimePoint::operator-=().